No effective dependancy on libxt-dev

Bug #9876 reported by Debian Bug Importer on 2004-11-03
4
Affects Status Importance Assigned to Milestone
xosd (Debian)
Fix Released
Unknown
xosd (Ubuntu)
High
LaMont Jones

Bug Description

Automatically imported from Debian bug report #279513 http://bugs.debian.org/279513

Debian Bug Importer (debzilla) wrote :

Automatically imported from Debian bug report #279513 http://bugs.debian.org/279513

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 3 Nov 2004 15:36:06 +0100
From: Marcin Owsiany <email address hidden>
To: <email address hidden>
Subject: No effective dependancy on libxt-dev

Package: libxosd-dev
Version: 2.2.11-3
Severity: grave
Justification: renders package unusable

This is basically the same as #191773, but concerns the -lXt that
`xosd-config --libs` produces rather than the -lXinerama_pic

From what I see, this was introduced by 2.2.8-1, since xlibs-dev
depends on libxt-dev, but xlibs-static-dev does not.

Marcin
--
Marcin Owsiany <email address hidden> http://marcin.owsiany.pl/
GnuPG: 1024D/60F41216 FE67 DA2D 0ACA FC5E 3F75 D6F6 3A0D 8AA0 60F4 1216

Hi Tim!

On Wed, Nov 03, 2004 at 04:00:10PM +0100, Philipp Matthias Hahn wrote:
> On Tue, Sep 14, 2004 at 05:04:00PM +0300, Ville Skyttä wrote:
> > FYI: we've noticed the tpb problem as well at fedora.us, see
> > http://bugzilla.fedora.us/show_bug.cgi?id=2054

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=272692 is a duplicate
of http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271807, which seems
to be fixed by my patches.

> Since I received another bug

And another one:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=279513

configure* checks for X11 via some function in libXt.so und pulls in
libSM.so and libICE.so. To my knowledge, xosd uses no function from
these libraries at all, so we can drop them.

I attached a patch, which works for me, but I'm not very comfortable
with it, because it could break compilation on non-Linux-platforms:
- "tapiir" did the same fix to AC_PATH_XTRA adding three arguments,
  see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=242963 for
  reference.
- Removing AC_CHECK_LIB(Xt, main) seems to be safe also.
- Removing $X_PRE_LIBS might be wrong, but libICE and libSM are pulled
  in via this. Perhaps replace AC_PATH_XTRA with AC_PATH_X?

> 44_endofhex.diff: Fix potential security flaw.
> 45_timeout.diff: Fix timeout reset logic.
> 46_event.diff: Fix XWindowEvent() deadlock.
> 47_exposure.diff: Improve efficiency with event handling.
> 48_update.diff: Fix potential loss of updates.
> 49_debug.diff: Debug helpers for event monitoring.
50_autoconf_xt.diff: lib(Xt|SM|ICE).so aren't needed

> All patches and the new Debian packages are also available from
> http://pint.pmhahn.de/pmhahn/debian/sid/x/xosd/

BYtE
Philipp
--
Philipp Matthias Hahn <email address hidden>
 GPG/PGP: 9A540E39 @ keyrings.debian.org

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Wed, 3 Nov 2004 20:39:07 +0100
From: Philipp Matthias Hahn <email address hidden>
To: Tim Wright <email address hidden>
Cc: <email address hidden>
Subject: Re: RFT: xosd_2.2.12+6patches+1patch

Hi Tim!

On Wed, Nov 03, 2004 at 04:00:10PM +0100, Philipp Matthias Hahn wrote:
> On Tue, Sep 14, 2004 at 05:04:00PM +0300, Ville Skytt=E4 wrote:
> > FYI: we've noticed the tpb problem as well at fedora.us, see
> > http://bugzilla.fedora.us/show_bug.cgi?id=3D2054

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D272692 is a duplicate
of http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D271807, which seems
to be fixed by my patches.

> Since I received another bug

And another one:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D279513

configure* checks for X11 via some function in libXt.so und pulls in
libSM.so and libICE.so. To my knowledge, xosd uses no function from
these libraries at all, so we can drop them.

I attached a patch, which works for me, but I'm not very comfortable
with it, because it could break compilation on non-Linux-platforms:
- "tapiir" did the same fix to AC_PATH_XTRA adding three arguments,
  see http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=3D242963 for
  reference.
- Removing AC_CHECK_LIB(Xt, main) seems to be safe also.
- Removing $X_PRE_LIBS might be wrong, but libICE and libSM are pulled
  in via this. Perhaps replace AC_PATH_XTRA with AC_PATH_X?

> 44_endofhex.diff: Fix potential security flaw.
> 45_timeout.diff: Fix timeout reset logic.
> 46_event.diff: Fix XWindowEvent() deadlock.
> 47_exposure.diff: Improve efficiency with event handling.
> 48_update.diff: Fix potential loss of updates.
> 49_debug.diff: Debug helpers for event monitoring.
50_autoconf_xt.diff: lib(Xt|SM|ICE).so aren't needed

> All patches and the new Debian packages are also available from
> http://pint.pmhahn.de/pmhahn/debian/sid/x/xosd/

BYtE
Philipp
--=20
Philipp Matthias Hahn <email address hidden>
 GPG/PGP: 9A540E39 @ keyrings.debian.org

Download full text (3.4 KiB)

Source: xosd
Source-Version: 2.2.13-1

We believe that the bug you reported is fixed in the latest version of
xosd, which is due to be installed in the Debian FTP archive:

libxosd-dev_2.2.13-1_i386.deb
  to pool/main/x/xosd/libxosd-dev_2.2.13-1_i386.deb
libxosd2_2.2.13-1_i386.deb
  to pool/main/x/xosd/libxosd2_2.2.13-1_i386.deb
xmms-osd-plugin_2.2.13-1_i386.deb
  to pool/main/x/xosd/xmms-osd-plugin_2.2.13-1_i386.deb
xosd-bin_2.2.13-1_i386.deb
  to pool/main/x/xosd/xosd-bin_2.2.13-1_i386.deb
xosd_2.2.13-1.diff.gz
  to pool/main/x/xosd/xosd_2.2.13-1.diff.gz
xosd_2.2.13-1.dsc
  to pool/main/x/xosd/xosd_2.2.13-1.dsc
xosd_2.2.13.orig.tar.gz
  to pool/main/x/xosd/xosd_2.2.13.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Matthias Hahn <email address hidden> (supplier of updated xosd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 9 Nov 2004 09:48:23 +0100
Source: xosd
Binary: libxosd-dev xmms-osd-plugin xosd-bin libxosd2
Architecture: source i386
Version: 2.2.13-1
Distribution: unstable
Urgency: medium
Maintainer: Philipp Matthias Hahn <email address hidden>
Changed-By: Philipp Matthias Hahn <email address hidden>
Description:
 libxosd-dev - X On-Screen Display library - development
 libxosd2 - X On-Screen Display library - runtime
 xmms-osd-plugin - XMMS plugin using xosd
 xosd-bin - X On-Screen Display library - binary files
Closes: 269671 271807 272692 273374 277027 279406 279513
Changes:
 xosd (2.2.13-1) unstable; urgency=medium
 .
   * New upstream version.
     - Applied my 44..50 patches.
     - Beep Media Player support. (Disabled for Debian)
   * Ungency medium because of important bug fixes.
   * Tighten dependencies in debian/shlibs.
 .
 xosd (2.2.12-2) experimental; urgency=low
 .
   * 50_autoconf_xt.diff: Remove dependency on libxt-dev (closes: #279513)
 .
 xosd (2.2.12-1) experimental; urgency=low
 .
   * New upstream version.
     - Applies my 4[0123] patches.
   * 44_endofhex.diff: Fix potential buffer overflow. (closes: #273374)
   * 45_timeout.diff: Fix negative timeouts. (closes: #277027)
   * 46_event.diff: Fix hang. (closes: #269671,#279406,#271807,#272692)
   * 47_exposure.diff: Reduce events to improve speed.
   * 48_update.diff: Fix lost update problem.
   * 49_debug.diff: Debug X11 events.
Files:
 68c8a2ccb9a1ce336ed2c5c6d2ad6a5b 739 x11 optional xosd_2.2.13-1.dsc
 ec5947cb5565aef44898ebcb80740b31 416336 x11 optional xosd_2.2.13.orig.tar.gz
 09473b8519a47bf1d2dc1b2ba6d16dc3 8466 x11 optional xosd_2.2.13-1.diff.gz
 d3e2abaea698a22bf0c16ece681f2d70 25956 libs optional libxosd2_2.2.13-1_i386.deb
 07a2139436cd40ad4b8dd978f2e9ebf9 37380 libdevel optional libxosd-dev_2.2.13-1_i386.deb
 c51a2df8204a2f0278ad7f58e9e1f381 1948...

Read more...

Debian Bug Importer (debzilla) wrote :
Download full text (3.7 KiB)

Message-Id: <email address hidden>
Date: Tue, 09 Nov 2004 05:02:11 -0500
From: Philipp Matthias Hahn <email address hidden>
To: <email address hidden>
Subject: Bug#279513: fixed in xosd 2.2.13-1

Source: xosd
Source-Version: 2.2.13-1

We believe that the bug you reported is fixed in the latest version of
xosd, which is due to be installed in the Debian FTP archive:

libxosd-dev_2.2.13-1_i386.deb
  to pool/main/x/xosd/libxosd-dev_2.2.13-1_i386.deb
libxosd2_2.2.13-1_i386.deb
  to pool/main/x/xosd/libxosd2_2.2.13-1_i386.deb
xmms-osd-plugin_2.2.13-1_i386.deb
  to pool/main/x/xosd/xmms-osd-plugin_2.2.13-1_i386.deb
xosd-bin_2.2.13-1_i386.deb
  to pool/main/x/xosd/xosd-bin_2.2.13-1_i386.deb
xosd_2.2.13-1.diff.gz
  to pool/main/x/xosd/xosd_2.2.13-1.diff.gz
xosd_2.2.13-1.dsc
  to pool/main/x/xosd/xosd_2.2.13-1.dsc
xosd_2.2.13.orig.tar.gz
  to pool/main/x/xosd/xosd_2.2.13.orig.tar.gz

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to <email address hidden>,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Philipp Matthias Hahn <email address hidden> (supplier of updated xosd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing <email address hidden>)

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 9 Nov 2004 09:48:23 +0100
Source: xosd
Binary: libxosd-dev xmms-osd-plugin xosd-bin libxosd2
Architecture: source i386
Version: 2.2.13-1
Distribution: unstable
Urgency: medium
Maintainer: Philipp Matthias Hahn <email address hidden>
Changed-By: Philipp Matthias Hahn <email address hidden>
Description:
 libxosd-dev - X On-Screen Display library - development
 libxosd2 - X On-Screen Display library - runtime
 xmms-osd-plugin - XMMS plugin using xosd
 xosd-bin - X On-Screen Display library - binary files
Closes: 269671 271807 272692 273374 277027 279406 279513
Changes:
 xosd (2.2.13-1) unstable; urgency=medium
 .
   * New upstream version.
     - Applied my 44..50 patches.
     - Beep Media Player support. (Disabled for Debian)
   * Ungency medium because of important bug fixes.
   * Tighten dependencies in debian/shlibs.
 .
 xosd (2.2.12-2) experimental; urgency=low
 .
   * 50_autoconf_xt.diff: Remove dependency on libxt-dev (closes: #279513)
 .
 xosd (2.2.12-1) experimental; urgency=low
 .
   * New upstream version.
     - Applies my 4[0123] patches.
   * 44_endofhex.diff: Fix potential buffer overflow. (closes: #273374)
   * 45_timeout.diff: Fix negative timeouts. (closes: #277027)
   * 46_event.diff: Fix hang. (closes: #269671,#279406,#271807,#272692)
   * 47_exposure.diff: Reduce events to improve speed.
   * 48_update.diff: Fix lost update problem.
   * 49_debug.diff: Debug X11 events.
Files:
 68c8a2ccb9a1ce336ed2c5c6d2ad6a5b 739 x11 optional xosd_2.2.13-1.dsc
 ec5947cb5565aef44898ebcb80740b31 416336 x11 optional xosd_2.2.13.orig.tar.gz
 09473b8519a47bf1d2dc1b2ba6d16dc3 8466 x11 optional xosd_2.2.13-1....

Read more...

Matt Zimmerman (mdz) wrote :

Will be fixed by automatic sync from Debian

Changed in xosd:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.